org.springframework.data.convert

## Interface EntityReader<T,S>

All Known Subinterfaces:
  EntityConverter<E,P,T,S>

    public interface EntityReader<T,S>

Interface to read object from store specific sources.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`<R extends T> R` `read(Class<R> type, S source)` Reads the given source into the given type.

### Method Detail

#### read

    <R extends T> R read(Class<R> type,
                         S source)

Reads the given source into the given type.

Parameters:
  `type` - they type to convert the given source to.
  `source` - the source to create an object of the given type from.
Returns: